import type { Emitter } from "../../emitter";
export interface AsyncCompletionOptions {
    emitter: Emitter;
    indent: string;
    resultCode?: string;
    debugLabel?: string;
}
export declare function emitAsyncFutureCompletion(opts: AsyncCompletionOptions): void;
export declare function emitAsyncFutureEscape(opts: AsyncCompletionOptions): void;
